﻿''
'' WindowsFormsVB
''
'' Copyright (c) 2016 http://www.curict.com
'' This software is released under the MIT License, see LICENSE.txt.
''

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' ダミーデータをデータグリッドビューに表示
        Dim dataTable As DataTable = New DataTable()
        dataTable.Columns.Add("奇数/偶数", GetType(String))
        dataTable.Columns.Add("中央寄せ 年月表示", GetType(DateTime))
        dataTable.Columns.Add("右寄せ カンマ区切り", GetType(Integer))
        dataTable.Columns.Add("左に余白", GetType(String))
        dataTable.Columns.Add("折り返し なし", GetType(String))
        dataTable.Columns.Add("折り返し あり", GetType(String))
        dataTable.Rows.Add("奇数行", DateTime.Now, 100, "左に余白", "あいうえお", "あいうえお")
        dataTable.Rows.Add("偶数行", DateTime.Now, 1000, "左に余白", "あいうえお", "あいうえお")
        dataTable.Rows.Add("奇数行", DateTime.Now, 10000, "左に余白", "あいうえお", "あいうえお")
        dataTable.Rows.Add("偶数行", DateTime.Now, 100000, "左に余白", "あいうえお", "あいうえお")
        dataTable.Rows.Add("奇数行", DateTime.Now, 1000000, "左に余白", "あいうえお", "あいうえお")
        dataTable.Rows.Add("偶数行", DateTime.Now, 10000000, "左に余白", "あいうえお", "あいうえお")
        Me.DataGridView1.DataSource = dataTable
        Me.DataGridView1.Columns(4).Width = 30
        Me.DataGridView1.Columns(5).Width = 30

        ' -------------------------------------------------------
        ' 5種類のスタイルの指定方法
        ' -------------------------------------------------------
        ' 2列目のセル背景色をオレンジに
        Me.DataGridView1.Columns(1).DefaultCellStyle.BackColor = Color.Orange
        ' 全行のセル背景色を緑に
        Me.DataGridView1.RowsDefaultCellStyle.BackColor = Color.LightGreen
        ' 偶数行のセル背景色を灰色に
        Me.DataGridView1.AlternatingRowsDefaultCellStyle.BackColor = Color.Gray
        ' 2行目のセル背景色を青に
        Me.DataGridView1.Rows(1).DefaultCellStyle.BackColor = Color.LightBlue
        ' 2行目・2列目のセル背景色をピンクに
        Me.DataGridView1.Rows(1).Cells(1).Style.BackColor = Color.Pink

        ' -------------------------------------------------------
        ' 表示位置(Alignment)
        ' -------------------------------------------------------
        ' センタリング
        Me.DataGridView1.Columns(1).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
        ' 右寄せ
        Me.DataGridView1.Columns(2).DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight

        ' -------------------------------------------------------
        ' フォントの指定(Font)
        ' -------------------------------------------------------
        ' メイリオ 9point 太字
        Me.DataGridView1.Columns(1).DefaultCellStyle.Font = New Font("メイリオ", 9, FontStyle.Bold)

        ' -------------------------------------------------------
        ' 文字の色(ForeColor)
        ' -------------------------------------------------------
        ' 文字色を青に
        Me.DataGridView1.Columns(1).DefaultCellStyle.ForeColor = Color.Blue

        ' -------------------------------------------------------
        ' フォーマット指定(Format)
        ' -------------------------------------------------------
        ' DateTime型を年月表記
        Me.DataGridView1.Columns(1).DefaultCellStyle.Format = "yyyy年MM月"
        ' int型を3桁毎のカンマ区切り
        Me.DataGridView1.Columns(2).DefaultCellStyle.Format = "#,0"

        ' -------------------------------------------------------
        ' 余白(Padding)
        ' -------------------------------------------------------
        ' セルの左側に20pxの余白
        Me.DataGridView1.Columns(3).DefaultCellStyle.Padding = New Padding(20, 0, 0, 0)

        ' -------------------------------------------------------
        ' 折り返し(WrapMode)
        ' -------------------------------------------------------
        ' 折り返しをしない
        Me.DataGridView1.Columns(4).DefaultCellStyle.WrapMode = DataGridViewTriState.False
        ' 折り返しをする
        Me.DataGridView1.Columns(5).DefaultCellStyle.WrapMode = DataGridViewTriState.True
    End Sub
End Class
